# eric4.QScintilla.Lexers.LexerPerl

Module implementing a Perl lexer with some additional methods.

### Classes

LexerPerl | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPerl

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPerl, Lexer

### Methods

LexerPerl | Constructor
initProperties | Public slot to initialize the properties.

#### LexerPerl (Constructor)

LexerPerl(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerPerl.initProperties

initProperties()

Public slot to initialize the properties.

Up